## ros-one-actionlib-tutorials 0.2.0-2jammy.20251023.0244

=== debian/changelog ===
ros-one-actionlib-tutorials (0.2.0-2jammy.20251023.0244) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 02:44:47 +0000

ros-one-actionlib-tutorials (0.2.0-0jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Oct 2025 02:44:46 -0000

ros-one-actionlib-tutorials (0.1.10-0jammy) jammy; urgency=high

  * Export message_runtime to generate wiki documentation for actionlib tutorial actions

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 12 Dec 2016 00:00:00 -0000

ros-one-actionlib-tutorials (0.1.9-0jammy) jammy; urgency=high

  * Fix the runtime error 'SyntaxError: from __future__ imports must occur at the beginning of the file'
  * Fix on comments
  * Remove roslib references that catkin doesn't need
  * Pull old fibonacci python scripts from those linked on the wiki page
  * Contributors: Isaac I.Y. Saito, Kei Okada, Steven Peters, Vincent Rabaud

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Dec 2016 00:00:00 -0000

ros-one-actionlib-tutorials (0.1.8-0jammy) jammy; urgency=high

  * update package maintainer.
  * Use _EXPORTED_TARGETS target suffix instead of _generate_messages_cpp
  * Contributors: Daniel Stonier, Esteve Fernandez

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 05 Nov 2014 00:00:00 -0000
