=== debian/control ===
Source: ros-one-actionlib-tutorials
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-actionlib, ros-one-actionlib-msgs, ros-one-catkin, ros-one-message-generation, ros-one-roscpp, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/actionlib/Tutorials
Standards-Version: 3.9.2

Package: ros-one-actionlib-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-message-runtime, ros-one-roscpp
Description: The actionlib_tutorials package
